|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMatrix

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMatrix class reference

### Public Functions

- QMatrix invert ( bool * invertible = 0 ) const
- QRect map ( const QRect & rect ) const
- QRegion mapToRegion ( const QRect & rectangle ) const

## Member Function Documentation

### QMatrix QMatrix::invert ( bool * invertible = 0 ) const

Returns an inverted copy of this matrix.

Use the inverted() function instead.

### QRect QMatrix::map ( const QRect & rect ) const

This is an overloaded member function, provided for convenience.

Creates and returns a QRect object that is a copy of the given rectangle, mapped into the coordinate system defined by this matrix.

Use the mapRect() function instead.

### QRegion QMatrix::mapToRegion ( const QRect & rectangle ) const

Returns the transformed rectangle rectangle as a QRegion object. A rectangle which has been rotated or sheared may result in a non-rectangular region being returned.

Use the mapToPolygon() or map() function instead.